#!/usr/bin/env python

from distutils.core import setup
from os import walk
from os.path import join, sep

from pyrisk import __version__


def recursive_file_list(install_root, source_root):
    if source_root[-1] != sep:
        source_root += sep
    r = []
    for dirpath,dirnames,filenames in walk(source_root):
        assert dirpath.startswith(source_root), dirpath
        install_dirpath = join(install_root, dirpath[len(source_root):])
        r.append((install_dirpath, [join(dirpath, f) for f in filenames]))
    return r

setup(
    name='PyRisk',
    version=__version__,
    description='Python Risk engine with assorted player interfaces.',
    long_description='\n'.join([
            'Currently implemented interfaces:',
            '  * email',
            ]),
    download_url='http://www.physics.drexel.edu/code/tar/pyrisk.tgz',
    author='W. Trevor King',
    author_email='wking@drexel.edu',
    package_dir={'pyrisk': 'pyrisk'},
    data_files=recursive_file_list('share/pyrisk/templates', 'templates'),
    classifiers = [
        'Development Status :: 3 - Alpha',
        #'Environment :: Console',
        #'Environment :: Console :: Curses',
        'Intended Audience :: End Users/Desktop',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Games/Entertainment :: Board Games'
        ],
    )
